GDAL-VECTOR-MAKE-POINT(1)

NAME
gdal-vector-make-point - Create point features from attribute fields

Added in version 3.12.

SYNOPSIS

            Usage: gdal vector make-point [OPTIONS] <INPUT> <OUTPUT>

            Create point geometries from attribute fields

            Positional arguments:
              -i, --input <INPUT>                                  Input vector datasets [required]
              -o, --output <OUTPUT>                                Output vector dataset [required]

            Common Options:
              -h, --help                                           Display help message and exit
              --json-usage                                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>                               Configuration option [may be repeated]
              -q, --quiet                                          Quiet mode (no progress bar)

            Options:
              -l, --layer, --input-layer <INPUT-LAYER>             Input layer name(s) [may be repeated]
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
              --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
              --lco, --layer-creation-option <KEY>=<VALUE>         Layer creation option [may be repeated]
              --overwrite                                          Whether overwriting existing output is allowed
              --update                                             Whether to open existing dataset in update mode
              --overwrite-layer                                    Whether overwriting existing output is allowed
              --append                                             Whether appending to existing layer is allowed
                                                                   Mutually exclusive with --upsert
              --output-layer <OUTPUT-LAYER>                        Output layer name
              --skip-errors                                        Skip errors when writing features
              --x <X>                                              Field from which X coordinate should be read [required]
              --y <Y>                                              Field from which Y coordinate should be read [required]
              --z <Z>                                              Optional field from which Z coordinate should be read
              --m <M>                                              Optional field from which M coordinate should be read
              --dst-crs <DST-CRS>                                  Destination CRS

            Advanced Options:
              --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]
              --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]
              --output-oo, --output-open-option <KEY>=<VALUE>      Output open options [may be repeated]
              --upsert                                             Upsert features (implies 'append')
                                                                   Mutually exclusive with --append

DESCRIPTION

gdal vector make-point creates point geometries from attribute fields containing coordinates.

OPTIONS

    --x <FIELD_NAME>
        Field name containing X coordinate values

    --y <FIELD_NAME>
        Field name containing Y coordinate values

    --z <FIELD_NAME>
        Optional field name containing Z coordinate values

    --m <FIELD_NAME>
        Optional field name containing M coordinate values

    --dst-crs <CRS>
        Optional coordinate reference system to assign to the created points. The coordinate reference systems that can be passed are anything supported by the OGRSpatialReference::SetFromUserInput() call, which includes EPSG Projected, Geographic or Compound CRS (i.e. EPSG:4296), a well known text (WKT) CRS definition, PROJ.4 declarations, or the name of a .prj file containing a WKT CRS definition.

AUTHOR
Dan Baston <dbaston@gmail.com>

COPYRIGHT
1998-2026